B::Assembler(3)

NAME
B::Assembler - Assemble Perl bytecode

SYNOPSIS
        perl -MO=Bytecode,-S,-omy.asm my.pl
        assemble my.asm > my.plc

        use B::Assembler qw(newasm endasm assemble);
        newasm(\&printsub);     # sets up for assembly
        assemble($buf);         # assembles one line
        asm(opcode, arg, [comment]);
        endasm();               # closes down

        use B::Assembler qw(assemble_fh);
        assemble_fh($fh, \&printsub);   # assemble everything in $fh

DESCRIPTION
B::Bytecode helper module.

AUTHORS
Malcolm Beattie "MICB at cpan.org" (1996, retired), Per-statement interface by Benjamin Stuhl "sho_pi@hotmail.com", Reini Urban "perl-compiler@googlegroups.com" I(2008-)